PDA

View Full Version : [ubuntu] rhythmbox doesn't start in karmic 9.10



timcredible
November 8th, 2009, 04:16 PM
i just installed karmic as a fresh install. i installed digikam, devede, awn, ubuntu-restricted-extras, thunderbird, ekiga, kdenlive, libdvdcss2, ffmpeg, winff, k3b, and audacity. Now rhythmbox doesn't run. i think ffmpeg or audacity installed some different audio stuff than what rhythmbox wants, but i don't know what packages are messing up. from cli, i only get this when trying to run rhythmbox:

Error re-scanning registry , child terminated by signal

which isn't very helpful. anyone have any ideas? thanks.

adoomer
November 14th, 2009, 11:09 AM
I've got quite similar situation. I use fresh installed karmic for over a week, installed ubuntu-restricted-extras, audacity and some other programs and everything was working fine. Yesterday I installed kdenlive, avidemux (gtk+), Pitivi and Gnome Subtitles.
After that following programs won't run:
Brasero, Pidgin, Pitivi, Empathy, Rhythmbox, Gnome Subtitles, Totem. Except Gnome Subtitles everything worked earlier.
I tried to run Software Center, but it suddenly closes just after opening.

Running Empathy, Rhythmbox, Gnome Subtitles, Software Center, Totem using Terminal does nothing except showing this info:

Error re-scanning registry , child terminated by signal

Software Center gives more info:

~$ software-center
(software-center:2325): GStreamer-WARNING **: adding type GstFourcc multiple times

(software-center:2325): GStreamer-WARNING **: adding type GstIntRange multiple times

(software-center:2325): GStreamer-WARNING **: adding type GstDoubleRange multiple times

(software-center:2325): GStreamer-WARNING **: adding type GstFractionRange multiple times

(software-center:2325): GStreamer-WARNING **: adding type GstValueList multiple times

(software-center:2325): GStreamer-WARNING **: adding type GstValueArray multiple times

(software-center:2325): GStreamer-WARNING **: adding type GstFraction multiple times

(software-center:2325): GStreamer-WARNING **: adding type gdouble multiple times

(software-center:2325): GStreamer-WARNING **: adding type gfloat multiple times

(software-center:2325): GStreamer-WARNING **: adding type gchararray multiple times

(software-center:2325): GStreamer-WARNING **: adding type gboolean multiple times

(software-center:2325): GStreamer-WARNING **: adding type GEnum multiple times

(software-center:2325): GStreamer-WARNING **: adding type GFlags multiple times

(software-center:2325): GStreamer-WARNING **: adding type gint multiple times

(software-center:2325): GStreamer-WARNING **: adding type gint64 multiple times

(software-center:2325): GStreamer-WARNING **: adding type glong multiple times

(software-center:2325): GStreamer-WARNING **: adding type guint multiple times

(software-center:2325): GStreamer-WARNING **: adding type guint64 multiple times

(software-center:2325): GStreamer-WARNING **: adding type gulong multiple times
Could not initialize GStreamer: Błąd ponownego przeszukiwania rejestru , child terminated by signal

So maybe it is in fact a problem with GStreamer?

Jbike
November 14th, 2009, 02:09 PM
I have two systems (very different hardware) that do the same thing as described above!!

I also recently installed the restricted extras pkgs , libdvdread4 and I enabled the following from software sources:

http://archive.canonical.com/ubuntu karmic partner and
Akirad Repository - Main


Here is a clip from opening empathy from a terminal:

jbike@jbike-desktop:~$ empathy
Error re-scanning registry , child terminated by signal
Run 'empathy --help' to see a full list of available command line options.

(empathy:3941): empathy-WARNING **: Error in empathy init: Error re-scanning registry , child terminated by signal
jbike@jbike-desktop:~$


As mentioned above, other packages also do not work.

Any ideas anyone?

Thanks, Jbike

Jbike
November 14th, 2009, 11:28 PM
Also... both of my systems were running compiz, both have nvidia graphic cards (one the fx6200, the other fx5200).

Ideas anyone?

Thanks,
Jbike

timcredible
November 16th, 2009, 12:16 AM
i just went back to 9.04. too many issues with 9.10

Jbike
November 16th, 2009, 12:01 PM
I just fixed rhythmbox, empathy, brasero by following the instructions at: http://www.insidesocal.com/click/2009/11/ubuntu-karmic-fail-pidgin-and.html, though, one of the mentioned packages to reinstall was not present in any of my active repos. Here is a summary of the instructions:

Let's review: If Pidgin, Empathy, Rhythmbox, Brasero and Totem are not running on your Ubuntu 9.10 system, first update the box, then use the Synaptic Package Manager to remove frei0r-plugins and reinstall libcv1, libhihgui1 and libcvaux1.



I reinstalled libhal1 instead of libhighuil... all of the packages work, including kdenlive and cinelerra.

I am sure that this makes sense to someone.

Jbike

adoomer
November 16th, 2009, 03:43 PM
Great solution. After removing frei0r-plugins everything is working great. This missing package in your repos is only an effect of a typo: it's not "libhihgui1" but "libhighgui1". Thanks for help!

Chew55
December 27th, 2009, 10:20 PM
I've done everything thats recommended in this thread and the problem persists.

The frei0-plugins weren't installed when I started either.

Any one else got any ideas?

robert-km
January 13th, 2010, 10:43 PM
Any one else got any ideas?

Maybe You should try to remove openshot-frei0r.
It was solution for my problem.